Subject: RE: OS X

From: [email-masked]
Date: Thu, 14 Feb 2002 17:38:49 -0800

I'm trying to compile netatalk on Mac OS X to use the print feature (i.e.
to
make TCP/IP printers available over AppleTalk). I can't get it to compile.
I've tried it on two different machines, one a pristine 10.1.2 machine with
December developer tools. It always fails at the same point with the same
error message:

Making all in aecho
source='aecho.c' object='aecho.o' libtool=no \
depfile='.deps/aecho.Po' tmpdepfile='.deps/aecho.TPo' \
depmode=gcc /bin/sh ../../depcomp \
cc -DHAVE_CONFIG_H -I. -I. -I../..     -I../../include -g -O2 -I../../sys -c
`test -f aecho.c || echo './'`aecho.c
/bin/sh ../../libtool --mode=link cc  -I../../include -g -O2 -I../../sys   -o
aecho  aecho.o ../../libatalk/libatalk.la -L../../libatalk
mkdir .libs
cc -I../../include -g -O2 -I../../sys -o aecho aecho.o
../../libatalk/.libs/libatalk.a
-L/Developer/Printapps/netatalk/netatalk-1.5.1.1/libatalk
/usr/bin/ld: Undefined symbols:
_ddp_close
_ddp_open
_rtmp_netinfo
make[3]: *** [aecho] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

But, if I do an "nm" on ./../libatalk/.libs/libatalk.a I see that ddp_close
and ddp_open, etc are in the file.  Did anyone get it to compile? How?

-----Original Message-----
From: Eagle
To: [email-masked]
Sent: 2/14/02 7:25 AM
Subject: Re: OS X

Hi Ryan.

In my spare time, I'm working on porting macipgw to Mac OS X.  Part of 
this includes getting netatalk compiled on OS X.  I haven't tried the 
latter, because I've been studying the former, but will let you know on 
my progress if you like.

Eagle

On Thursday, February 14, 2002, at 06:34 , Ryan Cassin wrote:
> Hi all,
>
> Quick question: does netatalk build on OS X, and if it does how can I 
> build
> it? I was looking through the archives of this mailing list only to 
> find a
> lot of discussion about why netatalk might be necessary on OS X, no
real
> instructions.
>
> I want to use netatalk on OS X because I need to run some OS X 
> applications,
> but want to have more than 10 clients connect to me using appleshare. 
> Unless
> I buy the full-blown OS X Server, I'm limited to only 10 connections
at
> once.
> Thanks in advance.